(function (module) {
    module.filter('gender', function () {

        return function (input) {

            switch (input) {
                case 0:
                    return "女";
                case 1:
                    return "男";
                default:
                    return "";
            }
        };
    });
    module.filter('trustHtml', ['$sce', function ($sce) {
        return function (html) {
            return $sce.trustAsHtml(html);
        };
    }]);
    module.filter('trustUrl', ['$sce', function ($sce) {
        return function (url) {
            return $sce.trustAsResourceUrl(url);
        };
    }]);
    module.filter('avator', function () {
        return function (input) {
            if (!input || input.length === 0) {
                return "img/demo/photo_default_turquoise.jpg";
            }
            return input;
        };
    });
    module.filter('truckPhoto', function () {
        return function (input) {
            if (!input || input.length === 0) {
                return "img/demo/defaultcar.png";
            }
            return input;
        };
    });
    module.filter('shortAddress', function () {
        return function (input) {
            if (!input) return input;
            var arr = input.split(',');
            return arr[arr.length - 1];
        };
    });
    module.filter('fullAddress', function () {
        return function (input) {
            if (!input) return input;
            return input.replace(',','-');
        };
    });
})(angular.module('app.filters'));